Next: IA-64 Syntax, Up: IA-64-Dependent

#### 9.16.1 Options

-mconstant-gp
  This option instructs the assembler to mark the resulting object file as using the “constant GP” model. With this model, it is assumed that the entire program uses a single global pointer (GP) value. Note that this option does not in any fashion affect the machine code emitted by the assembler. All it does is turn on the EF_IA_64_CONS_GP flag in the ELF file header.
-mauto-pic
  This option instructs the assembler to mark the resulting object file as using the “constant GP without function descriptor” data model. This model is like the “constant GP” model, except that it additionally does away with function descriptors. What this means is that the address of a function refers directly to the function's code entry-point. Normally, such an address would refer to a function descriptor, which contains both the code entry-point and the GP-value needed by the function. Note that this option does not in any fashion affect the machine code emitted by the assembler. All it does is turn on the EF_IA_64_NOFUNCDESC_CONS_GP flag in the ELF file header.
-milp32
-milp64
-mlp64
-mp64
  These options select the data model. The assembler defaults to `-mlp64` (LP64 data model).
-mle
-mbe
  These options select the byte order. The `-mle` option selects little-endian byte order (default) and `-mbe` selects big-endian byte order. Note that IA-64 machine code always uses little-endian byte order.
-mtune=itanium1
-mtune=itanium2
  Tune for a particular IA-64 CPU, itanium1 or itanium2. The default is itanium2.
-munwind-check=warning
-munwind-check=error
  These options control what the assembler will do when performing consistency checks on unwind directives. `-munwind-check=warning` will make the assembler issue a warning when an unwind directive check fails. This is the default. `-munwind-check=error` will make the assembler issue an error when an unwind directive check fails.
-mhint.b=ok
-mhint.b=warning
-mhint.b=error
  These options control what the assembler will do when the hint.b instruction is used. `-mhint.b=ok` will make the assembler accept hint.b. `-mint.b=warning` will make the assembler issue a warning when hint.b is used. `-mhint.b=error` will make the assembler treat hint.b as an error, which is the default.
-x
-xexplicit
  These options turn on dependency violation checking.
-xauto
  This option instructs the assembler to automatically insert stop bits where necessary to remove dependency violations. This is the default mode.
-xnone
  This option turns off dependency violation checking.
-xdebug
  This turns on debug output intended to help tracking down bugs in the dependency violation checker.
-xdebugn
  This is a shortcut for -xnone -xdebug.
-xdebugx
  This is a shortcut for -xexplicit -xdebug.